## scidavis 1.D9

=== 3rdparty/liborigin/CMakeLists.txt ===
# CMakeLists.txt for liborigin
cmake_minimum_required(VERSION 2.8)

# boost library headers
find_package(Boost REQUIRED)
include_directories(${Boost_INCLUDE_DIRS})

# library version
set(LIBORIGIN_VERSION_MAJOR 2)
set(LIBORIGIN_VERSION_MINOR 0)
set(LIBORIGIN_VERSION_BUGFIX 0)

# compile-time configuration variables to be linked in
configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

# source files
set (sources
	OriginFile.cpp
	OriginParser.cpp
	OriginDefaultParser.cpp
	Origin600Parser.cpp
	Origin610Parser.cpp
	Origin700Parser.cpp
	Origin750Parser.cpp
	Origin800Parser.cpp
	Origin810Parser.cpp
	)

# header files for development
set (devel-headers
	${CMAKE_CURRENT_BINARY_DIR}/config.h
	OriginObj.h
	OriginFile.h
	OriginParser.h
	tree.hh
	)

# dynamic library
add_library (origin SHARED ${sources})
set_target_properties(origin PROPERTIES
	VERSION ${LIBORIGIN_VERSION_MAJOR}.${LIBORIGIN_VERSION_MINOR}.${LIBORIGIN_VERSION_BUGFIX}
	SOVERSION ${LIBORIGIN_VERSION_MAJOR} )

# static library
add_library (origin-static STATIC ${sources})
set_target_properties(origin-static PROPERTIES OUTPUT_NAME "origin")

# install libraries
install(TARGETS origin origin-static DESTINATION lib)

# install headers
install(FILES ${devel-headers} DESTINATION include/liborigin)

# command line util
add_executable(opj2dat opj2dat.cpp)
target_link_libraries (opj2dat origin-static)

install(TARGETS opj2dat DESTINATION bin)

# documentation
install(FILES COPYING FORMAT README DESTINATION share/doc/liborigin)
configure_file(doc/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)
find_package(Doxygen)
if(DOXYGEN_FOUND)
	add_custom_target(doc ALL ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
		WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
	install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html DESTINATION share/doc/liborigin)
endif(DOXYGEN_FOUND)

## scidavis 0.2.4

=== debian/changelog ===
scidavis (0.2.4-4) unstable; urgency=low

  * New maintainer (Closes: #700414)
  * updated Standards-Version to 3.9.4
  * removed files from the install target : CHANGES and gpl.txt
  * changed the way used to put plugin libraries into a directory; they are
    no longer under /usr/lib64, but under /usr/lib/${DEB_HOST_MULTIARCH}.
    Closes: #701973; Closes:  #701983.
  * added a dependency on ${python:Depends}
  * enabled hardening-wrapper (build dependency, and variable in debian/rules)

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 01 Nov 2013 14:45:26 +0100

scidavis (0.2.4-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with Qt 4.8 (Closes: #665910)
    - Update debian/patches/scidavis_pro.diff to include linking changes
      needed to build with Qt 4.8

 -- Scott Kitterman <scott@kitterman.com>  Wed, 09 May 2012 15:14:03 -0400

scidavis (0.2.4-3.2) unstable; urgency=low

  * Non-maintainer upload. 
  * Add debian/patches/qreal.diff to fix FTBFS on arm* and sh4
    (Closes: #654265)

 -- Nobuhiro Iwamatsu <iwamatsu@nigauri.org>  Mon, 12 Mar 2012 04:57:49 +0000

scidavis (0.2.4-3.1) unstable; urgency=low

  * Non-maintainer upload. (Closes: #658644)
  * Move plugins to /usr/lib (Closes: #646190)
    debian/patches/lib64.diff
  * Fixed declaring Graph as const when it is not (Closes: #655776)
    debian/patches/graph_const.diff
  * Recommends on qt-assistant-compat (Closes: #624752)

 -- Scott Howard <showard@debian.org>  Tue, 07 Feb 2012 12:14:34 -0500

scidavis (0.2.4-3) unstable; urgency=low

  * Add Build-Depends on libqtassistantclient-dev (Closes: #618199)

 -- Ruben Molina <rmolina@udea.edu.co>  Wed, 16 Mar 2011 19:40:47 -0500

scidavis (0.2.4-2) unstable; urgency=low

  * Remove Build-Depends on sip4 and python-sip4-dev.
    Add Build-Depends on python-sip-dev (Closes: #611090)
  * Add Build-Depends on libqtassistantclient-dev (Closes: #588320)
  * Remove Build-Depends on cdbs
  * Add versioned Build-Depends on debhelper (>= 7.0.50~)
  * Bump Standards-Version to 3.9.1 (no changes)
  * Update debian/copyright using DEP-5

 -- Ruben Molina <rmolina@udea.edu.co>  Fri, 25 Feb 2011 20:25:58 -0500

scidavis (0.2.4-1) unstable; urgency=low

  * New upstream version
    + Should fix various crashes (Closes: #583226, #571462).
  * debian/source/: migrate format to '3.0' in order to use bz2 tarballs
  * debian/control: remove Build-Depends on quilt (not needed with 3.0)
  * debian/control: bump Standards-Version to 3.8.4 (no changes needed)
  * debian/control: set Priority to extra because libmuparser0 is extra
  * debian/watch:   update for bz2 tarballs

 -- Ruben Molina <rmolina@udea.edu.co>  Fri, 21 May 2010 11:55:33 -0500

scidavis (0.2.3-1) unstable; urgency=low

  * Initial release (Closes: #495105)

 -- Ruben Molina <rmolina@udea.edu.co>  Sun, 06 Sep 2009 11:34:04 -0500

=== debian/control ===
Source: scidavis
Section: graphics
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 7.0.50~), docbook-to-man, python, 
 pyqt4-dev-tools, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev, 
 libqwtplot3d-qt4-dev, libmuparser-dev, libgsl0-dev, zlib1g-dev, 
 libglu1-mesa-dev, python-dev, python-qt4-dev, python-sip-dev,
 python-support (>= 0.90), libqtassistantclient-dev,
 hardening-wrapper
Standards-Version: 3.9.4
Homepage: http://scidavis.sourceforge.net/

Package: scidavis
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: qt-assistant-compat
Description: application for scientific data analysis and visualization
 SciDAVis is a free interactive application aimed at data analysis and 
 publication-quality plotting. It combines a shallow learning curve and 
 an intuitive, easy-to-use graphical user interface with powerful 
 features such as scriptability and extensibility.
 .
 SciDAVis is similar in its field of application to proprietary Windows 
 applications like Origin and SigmaPlot as well as free applications like 
 QtiPlot, Labplot and Gnuplot.
 .
 What sets SciDAVis apart from the above is its emphasis on providing a 
 friendly and open environment for new and experienced users alike.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

%:
	dh $@ --buildsystem=qmake

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
INPUT_DOT_PRO = $(shell find fitPlugins/ -name "*.pro.in")

override_dh_auto_configure:
	for f in $(INPUT_DOT_PRO); do \
	  g=$$(echo $$f| sed 's/\.in$$//'); \
	  echo $$g; \
	  sed 's%.*libsuff=64.*%libsuff=/$(DEB_HOST_MULTIARCH)%' $$f > $$g; \
	done
	dh_auto_configure

override_dh_auto_build:
	docbook-to-man man/manpage.sgml > debian/scidavis.1
	dh_auto_build

override_dh_makeshlibs:
	dh_makeshlibs --no-act

override_dh_clean:
	rm -rf scidavis/translations/scidavis_*.qm
	rm -rf tmp/
	find fitPlugins/ -name "*.pro" | xargs rm -f
	dh_clean

=== debian/watch ===
version=3
http://sf.net/scidavis/scidavis-(\d+\.\d+\.\d+)\.tar\.bz2

## scidavis 1.22

=== debian/changelog ===
scidavis (1:1.22-1) unstable; urgency=medium

  * updated debian/watch, modified the epoch number (since 1.D13 > 1.22)
  * upgraded to the newest upstream source. Closes: #850203
  * upgraded Standards-Version to 4.1.1, debhelper level to 10
  * Replaced the libgsl-dev with libgsl0-dev in d/control
  * Removed copyrights for obsolete files
  * removed d/pycompat (now obsoleted)
  * dropped manpage generation from debian/ since the manpage is now
    included in the upstream package
  * refreshed patches

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 24 Nov 2017 15:30:24 +0100

scidavis (1.D13-2) unstable; urgency=medium

  * added scidavis.desktop to installable files. Closes: #857895

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 17 Sep 2017 20:14:29 +0200

scidavis (1.D13-1) unstable; urgency=medium

  * new upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 01 Jul 2016 14:17:43 +0200

scidavis (1.D9-2) unstable; urgency=medium

  * changes for gcc6: patched libscidavis/src/FitDialog.cpp and
    libscidavis/src/ColorMapEditor.cpp
    Closes: #811873
  * invoked qmake with -qt=qt4 in debian/rules
  * upgraded Standards-Version

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 30 Jun 2016 15:00:52 +0200

scidavis (1.D9-1) unstable; urgency=medium

  * upgraded to the newest upstream source. As the file scidavis.sip
    was rewritten, chances are that this will Close: #750904
  * upgraded the build-dependency libgsl0-dev -> libgsl-dev;
    Closes:  #805832; Closes:  #807764
  * patched a few source files to take in account the Debian location
    for includes regarding libqwt3d-qt4

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 10 Dec 2015 17:58:39 +0100

scidavis (1.D8-1) unstable; urgency=medium

  * upgraded to the newest upstream source. Closes: #758650 since the file
    src/nrutil.cpp is no longer part of the package.
  * prevented installation of files into /usr/local
  * patched scidavis/src/scidavis.sip to remove two constructs which
    cannot be properly parsed by sip. This can probably weaken the python
    plugins.
  * patched config.pri and scidavis.pro to avoid the build of 3rd-party
    liborigin2, which is provided by Debian packages.
  * added a build-dependency on liborigin2-dev
  * temporarily unactivated the build of importOPJ.o as there are many
    problems to fix: the embedded 3rdparty liborigin differs too much from
    the version provided by Debian

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 24 Aug 2014 14:53:01 +0200

scidavis (1.D5-2) unstable; urgency=medium

  * checked the compilation; if sip4 does work for ARM platforms, the
    files like sipAPIscidavis.h should be created. Probably, Closes: #750904
  * checked that scidavis can run as a normal user. Closes: #692195
  * checked that the character Δ can be used to name a column. Closes: #585732

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 25 Jun 2014 22:48:56 +0200

scidavis (1.D5-1) unstable; urgency=medium

  * removed the build-dependency on python-support. Closes: #746741
  * upgraded Standards-Version to 3.9.5, debhelper dependency to 9
  * modified debian/watch
  * upgraded to the newest upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Jun 2014 19:50:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: graphics
 Priority: extra
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), docbook-to-man, python, 
+Build-Depends: debhelper (>= 10), docbook-to-man,
  pyqt4-dev-tools, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev, 
  libqwtplot3d-qt4-dev, libmuparser-dev, libgsl0-dev, zlib1g-dev, 
  libglu1-mesa-dev, python-dev, python-qt4-dev, python-sip-dev,
- python-support (>= 0.90), libqtassistantclient-dev,
- hardening-wrapper
-Standards-Version: 3.9.4
+ dh-python, libqtassistantclient-dev, liborigin2-dev
+Standards-Version: 4.1.1
 Homepage: http://scidavis.sourceforge.net/
 
 Package: scidavis

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

%:
	dh $@ --buildsystem=qmake --with python2

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
INPUT_DOT_PRO = $(shell find fitPlugins/ -name "*.pro.in")
DESTDIR = debian/scidavis

override_dh_auto_configure:
	for f in $(INPUT_DOT_PRO); do \
	  g=$$(echo $$f| sed 's/\.in$$//'); \
	  echo $$g; \
	  sed 's%.*libsuff=64.*%libsuff=/$(DEB_HOST_MULTIARCH)%' $$f > $$g; \
	done
	#dh_auto_configure
	qmake -qt=qt4 PRESET=linux_package

override_dh_makeshlibs:
	dh_makeshlibs --no-act

override_dh_clean:
	rm -rf scidavis/translations/scidavis_*.qm
	rm -rf tmp/
	#find fitPlugins/ -name "*.pro" | xargs rm -f
	dh_clean

=== debian/watch ===
version=4
https://sf.net/scidavis/scidavis-(.+)\.tar\.gz debian uupdate

## scidavis 1.D5

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: graphics
 Priority: extra
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 10), docbook-to-man,
+Build-Depends: debhelper (>= 9), docbook-to-man,
  pyqt4-dev-tools, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev, 
  libqwtplot3d-qt4-dev, libmuparser-dev, libgsl0-dev, zlib1g-dev, 
  libglu1-mesa-dev, python-dev, python-qt4-dev, python-sip-dev,
- dh-python, libqtassistantclient-dev, liborigin2-dev
-Standards-Version: 4.1.1
+ dh-python, libqtassistantclient-dev, hardening-wrapper
+Standards-Version: 3.9.5
 Homepage: http://scidavis.sourceforge.net/
 
 Package: scidavis

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

%:
	dh $@ --buildsystem=qmake --with python2

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
INPUT_DOT_PRO = $(shell find fitPlugins/ -name "*.pro.in")

override_dh_auto_configure:
	for f in $(INPUT_DOT_PRO); do \
	  g=$$(echo $$f| sed 's/\.in$$//'); \
	  echo $$g; \
	  sed 's%.*libsuff=64.*%libsuff=/$(DEB_HOST_MULTIARCH)%' $$f > $$g; \
	done
	dh_auto_configure

override_dh_auto_build:
	docbook-to-man man/manpage.sgml > debian/scidavis.1
	dh_auto_build

override_dh_makeshlibs:
	dh_makeshlibs --no-act

override_dh_clean:
	rm -rf scidavis/translations/scidavis_*.qm
	rm -rf tmp/
	find fitPlugins/ -name "*.pro" | xargs rm -f
	dh_clean

## scidavis 1.D8

=== debian/changelog ===
scidavis (1.D8-1ubuntu1) xenial; urgency=medium

  * Fix gsl_multifit_fdfsolver API changes

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 10 Nov 2015 17:35:40 +0000

scidavis (1.D8-1build2) xenial; urgency=medium

  * Rebuild against new gsl. Update references to libgsl0-dev to libgsl-
    dev.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 10 Nov 2015 15:08:12 +0000

scidavis (1.D8-1build1) wily; urgency=medium

  * No-change rebuild against libqwtplot3d-qt4-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2015 01:15:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: scidavis
 Section: graphics
 Priority: extra
-Maintainer: Georges Khaznadar <georgesk@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 9), docbook-to-man,
  pyqt4-dev-tools, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev, 
- libqwtplot3d-qt4-dev, libmuparser-dev, libgsl0-dev, zlib1g-dev, 
+ libqwtplot3d-qt4-dev, libmuparser-dev, libgsl-dev, zlib1g-dev, 
  libglu1-mesa-dev, python-dev, python-qt4-dev, python-sip-dev,
- dh-python, libqtassistantclient-dev, hardening-wrapper
+ dh-python, libqtassistantclient-dev, liborigin2-dev
 Standards-Version: 3.9.5
 Homepage: http://scidavis.sourceforge.net/

=== debian/watch ===
version=3
http://sf.net/scidavis/scidavis.(.*)\.tar\.gz

## scidavis 1.D9

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: scidavis
 Section: graphics
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Georges Khaznadar <georgesk@debian.org>
+Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 9), docbook-to-man,
  pyqt4-dev-tools, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev, 
  libqwtplot3d-qt4-dev, libmuparser-dev, libgsl-dev, zlib1g-dev, 
  libglu1-mesa-dev, python-dev, python-qt4-dev, python-sip-dev,
  dh-python, libqtassistantclient-dev, liborigin2-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://scidavis.sourceforge.net/
 
 Package: scidavis

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 	  echo $$g; \
 	  sed 's%.*libsuff=64.*%libsuff=/$(DEB_HOST_MULTIARCH)%' $$f > $$g; \
 	done
-	dh_auto_configure
+	#dh_auto_configure
+	qmake -qt=qt4 PRESET=linux_package
 
 override_dh_auto_build:
 	docbook-to-man man/manpage.sgml > debian/scidavis.1

## scidavis 1.D13

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: graphics
 Priority: extra
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 9), docbook-to-man,
+Build-Depends: debhelper (>= 10), docbook-to-man,
  pyqt4-dev-tools, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev, 
  libqwtplot3d-qt4-dev, libmuparser-dev, libgsl-dev, zlib1g-dev, 
  libglu1-mesa-dev, python-dev, python-qt4-dev, python-sip-dev,
  dh-python, libqtassistantclient-dev, liborigin2-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://scidavis.sourceforge.net/
 
 Package: scidavis
